org.apache.lucene.search.suggest.fst

## Class FSTCompletion.Completion

- java.lang.Object
- - org.apache.lucene.search.suggest.fst.FSTCompletion.Completion

- All Implemented Interfaces:
    Comparable<FSTCompletion.Completion>
  Enclosing class:
    FSTCompletion

      public static final class FSTCompletion.Completion
      extends Object
      implements Comparable<FSTCompletion.Completion>

  A single completion for a given key.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `bucket` source bucket (weight) of the suggestion
    `BytesRef` | `utf8` UTF-8 bytes of the suggestion

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FSTCompletion.Completion o)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### utf8

          public final BytesRef utf8

      UTF-8 bytes of the suggestion

    - #### bucket

          public final int bucket

      source bucket (weight) of the suggestion

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(FSTCompletion.Completion o)

      Specified by:
        `compareTo` in interface `Comparable<FSTCompletion.Completion>`
      See Also:
        `BytesRef.compareTo(BytesRef)`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.